Index: src/sas/sascalc/dataloader/readers/abs_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/abs_reader.py	(revision e3775c679a7033e0bd33a9387d5bdfa4fb87bc4b)
+++ src/sas/sascalc/dataloader/readers/abs_reader.py	(revision bd5c3b11a604dfd75fa3d6424e1ea40bcafd3727)
@@ -171,5 +171,5 @@
 
                 try:
-                    _x = float(toks[0])
+                    _x = float(toks[4])
                     _y = float(toks[1])
                     _dy = float(toks[2])
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/parameters_panel_slicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/parameters_panel_slicer.py	(revision a26f67f1457e7e39b79d4c3800c03bcaa208dff7)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/parameters_panel_slicer.py	(revision a20a25573879c0953c15607f10eb7cf47e80c047)
@@ -251,7 +251,17 @@
             self.bck.Add(self.batch_slicer_button, (iy, ix), (1, 1),
                          wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+            # Help button
+
+            self.bt_help = wx.Button(self, wx.NewId(), "HELP")
+            self.bt_help.SetToolTipString(
+                "Help for the slicer parameters and batch slicing.")
+            self.bck.Add(self.bt_help, (iy, 1), (1, 1),
+                         wx.ALIGN_RIGHT | wx.ADJUST_MINSIZE, 15)
+            wx.EVT_BUTTON(self, self.bt_help.GetId(), self.on_help)
+
             iy += 1
             self.bck.Add((5, 5), (iy, ix), (1, 1),
                          wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 5)
+
         self.bck.Layout()
         self.bck.Fit(self)
@@ -535,2 +545,15 @@
             self.default_value += "_{0}".format(key).split(" [")[0]
             self.default_value += "-{:.2f}".format(params[key])
+
+    def on_help(self, event=None):
+        """
+        Opens a help window for the slicer parameters/batch slicing window
+        :param event:
+        :return:
+        """
+        from sas.sasgui.guiframe.documentation_window import DocumentationWindow
+
+        _TreeLocation = "user/sasgui/guiframe/graph_help.html"
+        _doc_viewer = DocumentationWindow(self, wx.ID_ANY, _TreeLocation,
+                                          "#d-data-averaging",
+                                          "Data Explorer Help")
Index: src/sas/sasgui/guiframe/media/graph_help.rst
===================================================================
--- src/sas/sasgui/guiframe/media/graph_help.rst	(revision 5ed76f8390eac56ff5d3779fd9c454d0c8fe1dc0)
+++ src/sas/sasgui/guiframe/media/graph_help.rst	(revision de68f783b797a63fb6b92d9be7a3473e8c0e5dba)
@@ -266,4 +266,5 @@
 
 .. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+.. _d_data_averaging:
 
 2D data averaging
@@ -301,6 +302,7 @@
 Alternatively, once a 'slicer' is active you can also select the region to
 average by bringing back the *Dataset Menu* and selecting *Edit Slicer
-Parameters*. A dialog window will appear in which you can enter values to
-define a region or select the number of points to plot (*nbins*).
+Parameters and Batch Fitting*. A dialog window will appear in which you can
+enter values to define a region, select the number of points to plot (*nbins*),
+or apply the slicer to any or all other 2D data plots.
 
 A separate plot window will also have appeared, displaying the requested
@@ -315,4 +317,33 @@
 
 To remove a 'slicer', bring back the *Dataset menu* and select *Clear Slicer*.
+
+Batch Slicing
+^^^^^^^^^^^^^
+
+A slicer can be applied to any or all existing 2D data plots using the 'Slicer
+Parameters' window. To open the window, select *Edit Slicer Parameters and Batch
+Fitting* in the *Dataset Menu* (see Invoking_the_dataset_menu_). Batch slicing
+options are available at the bottom of the window.
+
+Select the 2D plots you want to apply the slicer to. All 2D plots are selected
+by default. The resulting 1D data for all slicers can be saved as a text file
+and then sent to fitting by selecting the *Auto save generated 1D* check box.
+Sending data to the fitting perspective requires the data be saved.
+
+Once the auto save check box is selected, you can select where the files are
+saved. The file name for the saved data is the slicer name plus the file name
+of the original data set, plus what is in the *Append to file name* field. The
+default value in the append to field includes the names and values for all of
+the slicer parameters.
+
+The batch of slices can be sent to fitting if desired, with three options
+available. The first is to not fit the data, the second is to send the
+slices to individual fit pages, and the third is to send all sliced data to a
+single batch fit window.
+
+Clicking *Apply Slicer to Selected Plots* will create a slicer for each selected
+plot with the parameters entered in the 'Slicer Parameters' window. Depending on
+the options selected the data may then be saved, loaded as separate data sets in
+the data manager panel, and finally sent to fitting.
 
 Unmasked circular average
Index: test/sasdataloader/test/utest_abs_reader.py
===================================================================
--- test/sasdataloader/test/utest_abs_reader.py	(revision fa749b7a4a403e49b9aa36906bc99a8352341221)
+++ test/sasdataloader/test/utest_abs_reader.py	(revision bd5c3b11a604dfd75fa3d6424e1ea40bcafd3727)
@@ -53,7 +53,7 @@
 
         self.assertEqual(self.data.y_unit, 'cm^{-1}')
-        self.assertEqual(self.data.x[0], 0.002618)
-        self.assertEqual(self.data.x[1], 0.007854)
-        self.assertEqual(self.data.x[2], 0.01309)
+        self.assertEqual(self.data.x[0], 0.008082)
+        self.assertEqual(self.data.x[1], 0.0275)
+        self.assertEqual(self.data.x[2], 0.02762)
         self.assertEqual(self.data.x[126], 0.5828)
 