Index: sansguiframe/src/sans/guiframe/CategoryInstaller.py
===================================================================
--- sansguiframe/src/sans/guiframe/CategoryInstaller.py	(revision dad7cefa5ce1c68624b46df57bcb5b00ade2d254)
+++ sansguiframe/src/sans/guiframe/CategoryInstaller.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -123,6 +123,5 @@
         
     @staticmethod
-    def check_install(homedir = None, defaultfile = None,
-                      modelsdir = None, installed_models_dir = None):
+    def check_install(homedir = None, model_list=None):
         """
         the main method of this class
@@ -130,92 +129,52 @@
         compile it and install
         :param homefile: Override the default home directory
-        :param defaultfile: Override the default file location
-        :param modelsfile: The file where models.py lives. This
-        MUST be overwritten in setup.py
-        :param installed_models_dir: Where installed_models.txt is to go:
+        :param model_list: List of model names except customized models
         """
-        model_list = []
+        #model_list = []
+        default_file = CategoryInstaller.get_default_file()
         serialized_file = None
+        master_category_dict = defaultdict(list)
         if homedir == None:
             serialized_file = CategoryInstaller.get_user_file()
         else:
             serialized_file = os.path.join(homedir, USER_FILE)
-
-        if os.path.exists(serialized_file):
-            return
-
-        if installed_models_dir == None:
-            installed_models_dir = \
-                CategoryInstaller._get_installed_model_dir() 
+        if os.path.isfile(serialized_file):
+            cat_file = open(serialized_file, 'rb')
+        else:
+            cat_file = open(default_file, 'rb')
+        master_category_dict = pickle.Unpickler(cat_file).load()
+        (by_model_dict, model_enabled_dict) = \
+                CategoryInstaller._regenerate_model_dict(master_category_dict)
+        cat_file.close()
+        add_list = model_list
+        del_name = False
+        for cat in master_category_dict.keys():
+            for ind in range(len(master_category_dict[cat])):
+                model_name, enabled = master_category_dict[cat][ind]
+                if model_name not in model_list:
+                    del_name = True 
+                    try:
+                        by_model_dict.pop(model_name)
+                        model_enabled_dict.pop(model_name)
+                    except:
+                        pass
+                else:
+                    add_list.remove(model_name)
+        if del_name or (len(add_list) > 0):
+            for model in add_list:
+                model_enabled_dict[model]= True
+                by_model_dict[model].append('Uncategorized')
+    
+            master_category_dict = \
+                CategoryInstaller._regenerate_master_dict(by_model_dict,
+                                                          model_enabled_dict)
+            
+            pickle.dump( master_category_dict,
+                         open(serialized_file, 'wb') )
+            
+            try:
+                #It happens only in source environment
+                shutil.copyfile(serialized_file, default_file)
+            except:
+                pass
         
-        installed_model_file = open(
-            os.path.join(installed_models_dir,
-                         "installed_models.txt"), 'w')
-
-        if modelsdir == None:
-            modelsdir = CategoryInstaller._get_models_py_dir()
-        python_model_file = open(os.path.join(modelsdir, 
-                                              "models.py"),
-                                 'r')
-
-        python_models = python_model_file.read()
-        
-        # we remove models that appear in the installed
-        # model folder but not in models.py . the excess
-        # hard coded ones on the end come from them being
-        # present in models.py but not actual models, eg
-        # TwoLorenzianModel contains the string 'Lorenzian'
-        # but we don't actually want to include Lorenzian
-        model_list = [mod for mod in model_list if \
-                          mod in python_models and \
-                          not 'init' in mod and \
-                          not 'BaseComponent' in mod \
-                          and not 'MultiplicationModel' in mod \
-                          and not 'pluginmodel' in mod \
-                          and mod != 'PowerLawModel' \
-                          and mod != 'Lorentzian']
-
-        
-        for mod in model_list:
-            installed_model_file.write(mod + '\n')
-        
-        installed_model_file.close()
-
-        # start sorting category stuff
-        default_file = None
-        if defaultfile == None:
-            default_file = CategoryInstaller.get_default_file()
-        else:
-            default_file = defaultfile
-
-        master_category_dict = pickle.load(open(default_file, 'rb'))
-        
-        (by_model_dict, model_enabled_dict) = \
-            CategoryInstaller._regenerate_model_dict(master_category_dict)
-            
-            
-        for found_model in model_list:
-            if not found_model in by_model_dict:
-                print found_model + ' : ' + str(by_model_dict[found_model]) 
-                by_model_dict[found_model].append("Uncategorized")
-                model_enabled_dict[found_model] = True
-
-                # remove any stray models from categorization 
-                # that aren't stored anymore
-
-        models_to_delete = []
-        for model in by_model_dict:
-            if not model in model_list:
-                models_to_delete.append(model)
-
-        for model in models_to_delete:
-            by_model_dict.pop(model)
-
-        master_category_dict = \
-            CategoryInstaller._regenerate_master_dict(by_model_dict,
-                                                      model_enabled_dict)
-        
-        pickle.dump( master_category_dict,
-                     open(default_file, 'wb') )
-
-        #shutil.copyfile(default_file, serialized_file)
Index: sansguiframe/src/sans/guiframe/CategoryManager.py
===================================================================
--- sansguiframe/src/sans/guiframe/CategoryManager.py	(revision 6034e16d3c4bf8c0887c2ca2c4b8845b6fa73adb)
+++ sansguiframe/src/sans/guiframe/CategoryManager.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -96,5 +96,5 @@
         self.model_enabled_dict = defaultdict(bool)
 
-        wx.Frame.__init__(self, parent, win_id, title, size=(650, 400))
+        wx.Frame.__init__(self, parent, win_id, title, size=(660, 400))
 
         panel = wx.Panel(self, -1)
@@ -299,5 +299,6 @@
 
         pickle.dump( self.master_category_dict, cat_file )
-
+        
+        cat_file.close()
    
     def _read_category_info(self):
@@ -313,4 +314,5 @@
 	        	cat_file = open(CategoryInstaller.get_default_file(), 'rb')
         		self.master_category_dict = pickle.load(cat_file)
+        	cat_file.close()
         except IOError:
             print 'Problem reading in category file. Please review'
Index: sansguiframe/src/sans/guiframe/aboutbox.py
===================================================================
--- sansguiframe/src/sans/guiframe/aboutbox.py	(revision 1452132b4bed83bc5649d29d37566cc7ea80993c)
+++ sansguiframe/src/sans/guiframe/aboutbox.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -107,8 +107,13 @@
         self.bitmap_button_umd = wx.BitmapButton(self, -1, wx.NullBitmap)
         self.bitmap_button_sns = wx.BitmapButton(self, -1, wx.NullBitmap)
-        self.bitmap_button_nsf = wx.BitmapButton(self, -1,
-                                                 wx.NullBitmap)
-        self.bitmap_button_danse = wx.BitmapButton(self, -1, wx.NullBitmap)
+        #self.bitmap_button_nsf = wx.BitmapButton(self, -1,
+        #                                         wx.NullBitmap)
+        #self.bitmap_button_danse = wx.BitmapButton(self, -1, wx.NullBitmap)
         self.bitmap_button_msu = wx.BitmapButton(self, -1, wx.NullBitmap)
+        
+        self.bitmap_button_isis = wx.BitmapButton(self, -1, wx.NullBitmap)
+        self.bitmap_button_ess = wx.BitmapButton(self, -1, wx.NullBitmap)
+        self.bitmap_button_ill = wx.BitmapButton(self, -1, wx.NullBitmap)
+        
         self.static_line_3 = wx.StaticLine(self, -1)
         self.button_OK = wx.Button(self, wx.ID_OK, "OK")
@@ -120,7 +125,10 @@
         self.Bind(wx.EVT_BUTTON, self.onUmdLogo, self.bitmap_button_umd)
         self.Bind(wx.EVT_BUTTON, self.onSnsLogo, self.bitmap_button_sns)
-        self.Bind(wx.EVT_BUTTON, self.onNsfLogo, self.bitmap_button_nsf)
-        self.Bind(wx.EVT_BUTTON, self.onDanseLogo, self.bitmap_button_danse)
+        #self.Bind(wx.EVT_BUTTON, self.onNsfLogo, self.bitmap_button_nsf)
+        #self.Bind(wx.EVT_BUTTON, self.onDanseLogo, self.bitmap_button_danse)
         self.Bind(wx.EVT_BUTTON, self.onUTLogo, self.bitmap_button_msu)
+        self.Bind(wx.EVT_BUTTON, self.onIsisLogo, self.bitmap_button_isis)
+        self.Bind(wx.EVT_BUTTON, self.onEssLogo, self.bitmap_button_ess)
+        self.Bind(wx.EVT_BUTTON, self.onIllLogo, self.bitmap_button_ill)
         # end wxGlade
         # fill in acknowledgements
@@ -162,4 +170,5 @@
         self.bitmap_button_sns.SetBitmapLabel(logo)
         
+        """
         image = file_dir + "/images/nsf_logo.png"
         if os.path.isfile(config._nsf_logo):
@@ -173,5 +182,5 @@
         logo = wx.Bitmap(image)
         self.bitmap_button_danse.SetBitmapLabel(logo)
-        
+        """
         image = file_dir + "/images/utlogo.gif"
         if os.path.isfile(config._inst_logo):
@@ -180,4 +189,22 @@
         self.bitmap_button_msu.SetBitmapLabel(logo)
         
+        image = file_dir + "/images/isis_logo.png"
+        if os.path.isfile(config._isis_logo):
+            image = config._isis_logo
+        logo = wx.Bitmap(image)        
+        self.bitmap_button_isis.SetBitmapLabel(logo)
+
+        image = file_dir + "/images/ess_logo.png"
+        if os.path.isfile(config._ess_logo):
+            image = config._ess_logo
+        logo = wx.Bitmap(image)
+        self.bitmap_button_ess.SetBitmapLabel(logo)
+        
+        image = file_dir + "/images/ill_logo.png"
+        if os.path.isfile(config._ill_logo):
+            image = config._ill_logo
+        logo = wx.Bitmap(image)
+        self.bitmap_button_ill.SetBitmapLabel(logo)
+                
         # resize dialog window to fit version number nicely
         if wx.VERSION >= (2, 7, 2, 0):
@@ -201,7 +228,10 @@
         self.bitmap_button_umd.SetSize(self.bitmap_button_umd.GetBestSize())
         self.bitmap_button_sns.SetSize(self.bitmap_button_sns.GetBestSize())
-        self.bitmap_button_nsf.SetSize(self.bitmap_button_nsf.GetBestSize())
-        self.bitmap_button_danse.SetSize(self.bitmap_button_danse.GetBestSize())
+        #self.bitmap_button_nsf.SetSize(self.bitmap_button_nsf.GetBestSize())
+        #self.bitmap_button_danse.SetSize(self.bitmap_button_danse.GetBestSize())
         self.bitmap_button_msu.SetSize(self.bitmap_button_msu.GetBestSize())
+        self.bitmap_button_isis.SetSize(self.bitmap_button_isis.GetBestSize())
+        self.bitmap_button_ess.SetSize(self.bitmap_button_ess.GetBestSize())
+        self.bitmap_button_ill.SetSize(self.bitmap_button_ill.GetBestSize())
         # end wxGlade
 
@@ -244,17 +274,30 @@
                        wx.LEFT|wx.TOP|wx.BOTTOM|wx.ADJUST_MINSIZE, 7)
         sizer_main.Add(self.static_line_2, 0, wx.EXPAND, 0)
-        sizer_logos.Add(self.bitmap_button_nist, 0, wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_umd, 0, wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_sns, 0, wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_nsf, 0, wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_danse, 0,
-                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_msu, 0, wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add((50, 50), 0, wx.ADJUST_MINSIZE, 0)
+
+        sizer_logos.Add(self.bitmap_button_msu, 0, 
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        #sizer_logos.Add(self.bitmap_button_danse, 0,
+        #                wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        #sizer_logos.Add(self.bitmap_button_nsf, 0, 
+        #                wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_umd, 0, 
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_nist, 0, 
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_sns, 0, 
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_isis, 0, 
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_ess, 0, 
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_ill, 0, 
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+                
+        sizer_logos.Add((10, 50), 0, wx.ADJUST_MINSIZE, 0)
         sizer_main.Add(sizer_logos, 0, wx.EXPAND, 0)
         sizer_main.Add(self.static_line_3, 0, wx.EXPAND, 0)
-        sizer_button.Add((20, 20), 1, wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        sizer_button.Add((20, 40), 1, wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         sizer_button.Add(self.button_OK, 0, 
-                         wx.RIGHT|wx.ADJUST_MINSIZE|wx.BOTTOM, 10)
+                         wx.RIGHT|wx.ADJUST_MINSIZE|wx.CENTER, 10)
         sizer_main.Add(sizer_button, 0, wx.EXPAND, 0)
         self.SetAutoLayout(True)
@@ -306,4 +349,25 @@
         event.Skip()
 
+    def onIsisLogo(self, event): 
+        """
+        """
+        # wxGlade: DialogAbout.<event_handler>
+        launchBrowser(config._isis_url)
+        event.Skip()
+
+    def onEssLogo(self, event):
+        """
+        """
+        # wxGlade: DialogAbout.<event_handler>
+        launchBrowser(config._ess_url)
+        event.Skip()
+
+    def onIllLogo(self, event):
+        """
+        """ 
+        # wxGlade: DialogAbout.<event_handler>
+        launchBrowser(config._ill_url)
+        event.Skip()
+
 # end of class DialogAbout
 
Index: sansguiframe/src/sans/guiframe/config.py
===================================================================
--- sansguiframe/src/sans/guiframe/config.py	(revision 6e48fd0cd19552c31460f3fabb27952ef7f3ff8f)
+++ sansguiframe/src/sans/guiframe/config.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -9,6 +9,7 @@
 __version__ = '0.0.0'
 __build__ = '1'
-__download_page__ = 'https://sourceforge.net/projects/sansviewproject/files/'
-__update_URL__ = 'http://sansviewproject.svn.sourceforge.net/viewvc/sansviewproject/trunk/sansview.latestversion'
+__download_page__ = 'http://sourceforge.net/projects/sasview/files/'
+__update_URL__ = ['svn.code.sf.net', 
+                  '/p/sasview/code/trunk/sansview.latestversion']
 
 
@@ -32,9 +33,9 @@
 
 '''
-_homepage = "http://danse.chem.utk.edu"
-_download = "http://danse.chem.utk.edu/sansview.html"
+_homepage = "http://www.sasview.org"
+_download = "http://sourceforge.net/projects/sasview/files/"
 _authors = []
-_paper = "http://danse.us/trac/sans/newticket"
-_license = "mailto:sansdanse@gmail.com"
+_paper = "http://sourceforge.net/p/sasview/tickets/"
+_license = "mailto:help@sasview.org"
 _nsf_logo = "images/nsf_logo.png"
 _danse_logo = "images/danse_logo.png"
@@ -43,4 +44,7 @@
 _umd_logo = "images/umd_logo.png"
 _sns_logo = "images/sns_logo.png"
+_isis_logo = "images/isis_logo.png"
+_ess_logo = "images/ess_logo.png"
+_ill_logo = "images/ill_logo.png"
 _nist_url = "http://www.nist.gov/"
 _umd_url = "http://www.umd.edu/"
@@ -49,4 +53,7 @@
 _danse_url = "http://www.cacr.caltech.edu/projects/danse/release/index.html"
 _inst_url = "http://www.utk.edu"
+_isis_url = "http://www.isis.stfc.ac.uk/"
+_ess_url = "http://ess-scandinavia.eu/"
+_ill_url = "http://www.ill.eu/"
 _corner_image = "images/angles_flat.png"
 _welcome_image = "images/SVwelcome.png"
Index: sansguiframe/src/sans/guiframe/data_manager.py
===================================================================
--- sansguiframe/src/sans/guiframe/data_manager.py	(revision 709cd834ef21173d0c49461d67a550c281cdc837)
+++ sansguiframe/src/sans/guiframe/data_manager.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -251,5 +251,6 @@
                 if theory_id in theory_list.keys():
                     del theory_list[theory_id]
-        
+        #del pure theory
+        self.delete_by_id(theory_id)
             
     def delete_by_id(self, id_list=None):
Index: sansguiframe/src/sans/guiframe/data_panel.py
===================================================================
--- sansguiframe/src/sans/guiframe/data_panel.py	(revision 4cc25e9e1767d18bc6339a3b48d8dc8341a61a45)
+++ sansguiframe/src/sans/guiframe/data_panel.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -35,4 +35,6 @@
 from sans.guiframe.events import NewBatchEvent
 from sans.dataloader.loader import Loader
+from sans.guiframe.local_perspectives.plotting.masking \
+    import FloatPanel as QucikPlotDialog
 
 import sans.guiframe.config as config
@@ -442,6 +444,4 @@
         """
         data = self._get_data_selection(event)
-        from sans.guiframe.local_perspectives.plotting.masking \
-        import FloatPanel as QucikPlotDialog
         if data.__class__.__name__ == "Data2D":
             dimension = 2
Index: sansguiframe/src/sans/guiframe/gui_manager.py
===================================================================
--- sansguiframe/src/sans/guiframe/gui_manager.py	(revision ef671451d7622c70977adde06798580581db8bfc)
+++ sansguiframe/src/sans/guiframe/gui_manager.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -23,5 +23,6 @@
 warnings.simplefilter("ignore")
 import logging
-import urllib2
+#import urllib2
+import httplib
 
 from sans.guiframe.events import EVT_CATEGORY
@@ -2254,7 +2255,13 @@
         """
         try:
-            f=urllib2.urlopen(config.__update_URL__, 
-                              timeout=1.0)
-            content = f.read()
+            conn = httplib.HTTPConnection(config.__update_URL__[0], 
+                              timeout=3.0)
+            conn.request("GET", config.__update_URL__[1])
+            res = conn.getresponse()
+            content = res.read()
+            conn.close()
+            #f=urllib2.urlopen(config.__update_URL__, 
+            #                  timeout=1.0)
+            #content = f.read()
         except:
             content = "0.0.0"
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision f866fb50c32dcbfffa94c222dc6afe14b1730c6b)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -84,4 +84,6 @@
         self.currColorIndex = ""
         self._is_changed_legend_label = False
+        self.is_xtick = False
+        self.is_ytick = False
       
         self.hide_menu = None
@@ -684,5 +686,6 @@
                                   find_key(self.get_loc_label(), 
                                   self.legendLoc), 
-                                  self.xcolor,self.ycolor)
+                                  self.xcolor, self.ycolor, 
+                                  self.is_xtick, self.is_ytick)
         self.graphApp.Bind(wx.EVT_CLOSE, self.on_graphApp_close)
     
@@ -706,9 +709,19 @@
         self.xaxis_unit = graph_app.get_xunit()
         self.yaxis_unit = graph_app.get_yunit()
+        self.xaxis_font = graph_app.get_xfont()
+        self.yaxis_font = graph_app.get_yfont()
+        self.is_xtick =  graph_app.get_xtick_check()
+        self.is_ytick =  graph_app.get_ytick_check()
+        if self.is_xtick:
+            self.xaxis_tick = self.xaxis_font
+        if self.is_ytick:
+            self.yaxis_tick = self.yaxis_font
 
         self.xaxis(self.xaxis_label, self.xaxis_unit, 
-                   graph_app.get_xfont(), graph_app.get_xcolor())
+                   graph_app.get_xfont(), graph_app.get_xcolor(), 
+                   self.xaxis_tick)
         self.yaxis(self.yaxis_label, self.yaxis_unit, 
-                   graph_app.get_yfont(), graph_app.get_ycolor())
+                   graph_app.get_yfont(), graph_app.get_ycolor(),
+                   self.yaxis_tick)
 
         graph_app.Destroy()
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 294a7bcae13b384cc517d82e01d0d9a5756bcce1)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -418,5 +418,8 @@
         Edit legend label
         """
-        selected_plot = self.plots[self.graph.selected_plottable]
+        try:
+            selected_plot = self.plots[self.graph.selected_plottable]
+        except:
+            selected_plot = self.plots[self.data2D.id]
         label = selected_plot.label
         dial = TextDialog(None, -1, 'Change Label', label)
@@ -638,5 +641,5 @@
         new_plot.id = "Circ avg " + self.data2D.name
         new_plot.is_data = True
-        self.parent.update_theory(data_id=self.data2D, \
+        self.parent.update_theory(data_id=self.data2D.id, \
                                        theory=new_plot)
         wx.PostEvent(self.parent, 
@@ -792,5 +795,6 @@
                                   self.xaxis_font,self.yaxis_font,
                                   find_key(self.get_loc_label(),self.legendLoc),
-                                  self.xcolor,self.ycolor)
+                                  self.xcolor,self.ycolor,
+                                   self.is_xtick, self.is_ytick)
         self.graphApp.Bind(wx.EVT_CLOSE, self.on_graphApp_close)
     
@@ -807,9 +811,19 @@
         self.xaxis_unit = self.graphApp.get_xunit()
         self.yaxis_unit = self.graphApp.get_yunit()
-
-        self.xaxis(self.xaxis_label,self.xaxis_unit,
-                   self.graphApp.get_xfont(),self.graphApp.get_xcolor())
-        self.yaxis(self.yaxis_label,self.yaxis_unit,
-                   self.graphApp.get_yfont(),self.graphApp.get_ycolor())
+        self.xaxis_font = self.graphApp.get_xfont()
+        self.yaxis_font = self.graphApp.get_yfont()
+        self.is_xtick =  self.graphApp.get_xtick_check()
+        self.is_ytick =  self.graphApp.get_ytick_check()
+        if self.is_xtick:
+            self.xaxis_tick = self.xaxis_font
+        if self.is_ytick:
+            self.yaxis_tick = self.yaxis_font
+
+        self.xaxis(self.xaxis_label, self.xaxis_unit, 
+                   self.graphApp.get_xfont(), self.graphApp.get_xcolor(), 
+                   self.xaxis_tick)
+        self.yaxis(self.yaxis_label, self.yaxis_unit, 
+                   self.graphApp.get_yfont(), self.graphApp.get_ycolor(),
+                   self.yaxis_tick)
 
         self.graphApp.Destroy()
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/SectorSlicer.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 4752c3147b9fc43a430792f9b3b9dc74c64e094a)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -186,5 +186,5 @@
         new_plot.id = "SectorQ" + self.base.data2D.name
         new_plot.is_data = True
-        self.base.parent.update_theory(data_id=data, \
+        self.base.parent.update_theory(data_id=data.id, \
                                        theory=new_plot)
         wx.PostEvent(self.base.parent, NewPlotEvent(plot=new_plot,
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/graphAppearance.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/graphAppearance.py	(revision 9f51c2c49d3f518e89de3963f9add05a17bdce46)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/graphAppearance.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -36,4 +36,6 @@
         self.xfont = None
         self.yfont = None
+        self.is_xtick = False
+        self.is_ytick = False
 
 
@@ -172,6 +174,8 @@
         fonty = SimpleFont(self, wx.NewId(), title)
         fonty.set_default_font(self.xfont)
+        fonty.set_ticklabel_check(self.is_xtick)
         if(fonty.ShowModal() == wx.ID_OK):
             self.xfont = fonty.get_font()
+            self.is_xtick = fonty.get_ticklabel_check()
 
     def onyFont(self, e):
@@ -179,6 +183,8 @@
         fonty = SimpleFont(self, wx.NewId(), title)
         fonty.set_default_font(self.yfont)
+        fonty.set_ticklabel_check(self.is_ytick)
         if(fonty.ShowModal() == wx.ID_OK):
             self.yfont = fonty.get_font()
+            self.is_ytick = fonty.get_ticklabel_check()
 
     def on_ok(self, e):
@@ -233,5 +239,5 @@
     def setDefaults(self,grid,legend,xlab,ylab,xunit,yunit,
                     xaxis_font,yaxis_font,legend_loc,
-                    xcolor,ycolor):
+                    xcolor,ycolor, is_xtick, is_ytick):
         self.toggle_grid.SetValue(grid)
         if self.legend:
@@ -243,4 +249,6 @@
         self.xfont = xaxis_font
         self.yfont = yaxis_font
+        self.is_xtick = is_xtick
+        self.is_ytick = is_ytick
 
         if not xcolor:
@@ -303,4 +311,10 @@
         return self.yfont
     
+    def get_xtick_check(self):
+        return self.is_xtick
+
+    def get_ytick_check(self):
+        return self.is_ytick
+    
 
 if __name__ == '__main__':
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/masking.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/masking.py	(revision 3f68e939ef77954756e418f18f78459a2fa0d251)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/masking.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -558,4 +558,6 @@
                                            style=wx.TRANSPARENT_WINDOW)
             self.plotpanel._SetInitialSize()
+            self.plotpanel.prevXtrans = "x"
+            self.plotpanel.prevYtrans = "y"
             
             self.cmap = DEFAULT_CMAP
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/profile_dialog.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/profile_dialog.py	(revision 808da5e5627f244c2241746d12acb781e1e39abb)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/profile_dialog.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -213,4 +213,7 @@
         self.window_name = "Scattering Length Density Profile"
         self.window_caption = self.window_name
+        self.prevXtrans = "x"
+        self.prevYtrans = "y"
+        self.viewModel = "--"
         # Internal list of plottable names (because graph 
         # doesn't have a dictionary of handles for the plottables)
Index: sansguiframe/src/sans/guiframe/startup_configuration.py
===================================================================
--- sansguiframe/src/sans/guiframe/startup_configuration.py	(revision 6306f2f639a273e7a698e0d6b26872deb4bf2777)
+++ sansguiframe/src/sans/guiframe/startup_configuration.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -84,6 +84,6 @@
         current_bt.SetValue(False)
         current_bt.Bind(wx.EVT_RADIOBUTTON, self.OnCurrent)
-        msg = "\nThis new configuration will take effect after\n"
-        msg += "restarting the SansView application..."
+        msg = "\nThis new configuration will take effect when\n"
+        msg += "running this application next time."
         note_txt = wx.StaticText(panel, -1, msg, (15, 75))
         note_txt.SetForegroundColour("black")